Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc
Class BaseWrapperManagedConnection

    java.lang.Object
      org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection

All Implemented Interfaces:
  javax.resource.spi.ManagedConnection

Direct Known Subclasses:
  LocalManagedConnection, XAManagedConnection

public abstract class BaseWrapperManagedConnection
extends Object
implements javax.resource.spi.ManagedConnection

BaseWrapperManagedConnection.java Created: Fri Apr 19 13:31:47 2002

Version:
  $Revision: 1.6.4.2 $
Author:
  David Jencks, Adrian Brock

Field Summary
`protected Connection` | `con`
`protected boolean` | `destroyed`
`protected boolean` | `inManagedTransaction`
`protected boolean` | `jdbcAutoCommit`
`protected boolean` | `jdbcReadOnly`
`protected int` | `jdbcTransactionIsolation`
`protected BaseWrapperManagedConnectionFactory` | `mcf`
`protected Properties` | `props`
`protected Object` | `stateLock`
`protected boolean` | `underlyingAutoCommit`
`protected boolean` | `underlyingReadOnly`

Constructor Summary
`BaseWrapperManagedConnection(BaseWrapperManagedConnectionFactory mcf, Connection con, Properties props, int transactionIsolation, int psCacheSize)`

Method Summary
`void` | `addConnectionEventListener(javax.resource.spi.ConnectionEventListener cel)`
`void` | `associateConnection(Object handle)`
`protected void` | `broadcastConnectionError(SQLException e)`
`protected void` | `checkException(SQLException e)`
`protected void` | `checkState()` Checks the state
`boolean` | `checkValid()`
`void` | `cleanup()`
`void` | `destroy()`
`Object` | `getConnection(Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`protected org.jboss.logging.Logger` | `getLog()`
`PrintWriter` | `getLogWriter()`
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()`
`void` | `removeConnectionEventListener(javax.resource.spi.ConnectionEventListener cel)`
`void` | `setLogWriter(PrintWriter param1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ManagedConnection
`getLocalTransaction, getXAResource`

Field Detail

### mcf

    protected final BaseWrapperManagedConnectionFactory mcf

### con

    protected final Connection con

### props

    protected final Properties props

### stateLock

    protected Object stateLock

### inManagedTransaction

    protected boolean inManagedTransaction

### jdbcAutoCommit

    protected boolean jdbcAutoCommit

### underlyingAutoCommit

    protected boolean underlyingAutoCommit

### jdbcReadOnly

    protected boolean jdbcReadOnly

### underlyingReadOnly

    protected boolean underlyingReadOnly

### jdbcTransactionIsolation

    protected int jdbcTransactionIsolation

### destroyed

    protected boolean destroyed

Constructor Detail

### BaseWrapperManagedConnection

    public BaseWrapperManagedConnection(BaseWrapperManagedConnectionFactory mcf,
                                        Connection con,
                                        Properties props,
                                        int transactionIsolation,
                                        int psCacheSize)
                                 throws SQLException

Method Detail

### addConnectionEventListener

    public void addConnectionEventListener(javax.resource.spi.ConnectionEventListener cel)

  Specified by:
    `addConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.resource.spi.ConnectionEventListener cel)

  Specified by:
    `removeConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### associateConnection

    public void associateConnection(Object handle)
                             throws javax.resource.ResourceException

  Specified by:
    `associateConnection` in interface `javax.resource.spi.ManagedConnection`
  Throws:
    `javax.resource.ResourceException` -

### getLogWriter

    public PrintWriter getLogWriter()
                             throws javax.resource.ResourceException

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Specified by:
    `getMetaData` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### setLogWriter

    public void setLogWriter(PrintWriter param1)
                      throws javax.resource.ResourceException

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnection`
  Parameters:
    `param1` -
  Throws:
    `javax.resource.ResourceException` -

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Specified by:
    `cleanup` in interface `javax.resource.spi.ManagedConnection`
  Throws:
    `javax.resource.ResourceException` -

### getConnection

    public Object getConnection(Subject subject,
                                javax.resource.spi.ConnectionRequestInfo cri)
                         throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.spi.ManagedConnection`
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Specified by:
    `destroy` in interface `javax.resource.spi.ManagedConnection`
  Throws:
    `javax.resource.ResourceException` -

### checkValid

    public boolean checkValid()

### broadcastConnectionError

    protected void broadcastConnectionError(SQLException e)

### getLog

    protected org.jboss.logging.Logger getLog()

### checkState

    protected void checkState()
                       throws SQLException

  Checks the state

  Throws:
    `SQLException`

### checkException

    protected void checkException(SQLException e)
                           throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.